# Platform
<span class="source-link">[[Source]](src/builtin/platform.md#L1)</span>
```pony
primitive val Platform
```

## Constructors

### create
<span class="source-link">[[Source]](src/builtin/platform.md#L1)</span>


```pony
new val create()
: Platform val^
```

#### Returns

* [Platform](builtin-Platform.md) val^

---

## Public Functions

### bsd
<span class="source-link">[[Source]](src/builtin/platform.md#L2)</span>


```pony
fun box bsd()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### freebsd
<span class="source-link">[[Source]](src/builtin/platform.md#L3)</span>


```pony
fun box freebsd()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### dragonfly
<span class="source-link">[[Source]](src/builtin/platform.md#L4)</span>


```pony
fun box dragonfly()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### openbsd
<span class="source-link">[[Source]](src/builtin/platform.md#L5)</span>


```pony
fun box openbsd()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### linux
<span class="source-link">[[Source]](src/builtin/platform.md#L6)</span>


```pony
fun box linux()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### osx
<span class="source-link">[[Source]](src/builtin/platform.md#L7)</span>


```pony
fun box osx()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### posix
<span class="source-link">[[Source]](src/builtin/platform.md#L8)</span>


```pony
fun box posix()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### windows
<span class="source-link">[[Source]](src/builtin/platform.md#L9)</span>


```pony
fun box windows()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### x86
<span class="source-link">[[Source]](src/builtin/platform.md#L11)</span>


```pony
fun box x86()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### arm
<span class="source-link">[[Source]](src/builtin/platform.md#L12)</span>


```pony
fun box arm()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### lp64
<span class="source-link">[[Source]](src/builtin/platform.md#L14)</span>


```pony
fun box lp64()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### llp64
<span class="source-link">[[Source]](src/builtin/platform.md#L15)</span>


```pony
fun box llp64()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### ilp32
<span class="source-link">[[Source]](src/builtin/platform.md#L16)</span>


```pony
fun box ilp32()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### bigendian
<span class="source-link">[[Source]](src/builtin/platform.md#L18)</span>


```pony
fun box bigendian()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### littleendian
<span class="source-link">[[Source]](src/builtin/platform.md#L19)</span>


```pony
fun box littleendian()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### native128
<span class="source-link">[[Source]](src/builtin/platform.md#L21)</span>


```pony
fun box native128()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### debug
<span class="source-link">[[Source]](src/builtin/platform.md#L22)</span>


```pony
fun box debug()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### eq
<span class="source-link">[[Source]](src/builtin/platform.md#L2)</span>


```pony
fun box eq(
  that: Platform val)
: Bool val
```
#### Parameters

*   that: [Platform](builtin-Platform.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/builtin/platform.md#L2)</span>


```pony
fun box ne(
  that: Platform val)
: Bool val
```
#### Parameters

*   that: [Platform](builtin-Platform.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

